import { Component, OnInit } from '@angular/core';
import {FrameEditComponent} from '../../../../frame/core/FrameEditComponent';
import {BsModalRef} from 'ngx-bootstrap';
import {FormBuilder, Validators} from '@angular/forms';

@Component({
  selector: 'app-std-reg-agent',
  templateUrl: './std-reg-agent.component.html',
  styleUrls: ['./std-reg-agent.component.scss']
})
export class StdRegAgentComponent  extends FrameEditComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.valForm = fb.group({
      'new_agent_id': [null, Validators.compose([Validators.required])],
      'business_note': [null, Validators.compose([Validators.required])]
    });
  }

  ngOnInit() {
  }

  initDefautEntity() {
    this.currentEntity = this.ResponseMap.StdEnrol;
  }
}
